<?php

define('TEXT_UPDATE_VERSION_FROM','2.6');
define('TEXT_UPDATE_VERSION_TO','2.7');


if(isset($_GET['entity_id']))
{
  require('../../config/database.php');
          
  include('includes/database.php');
      
  db_connect(DB_SERVER, DB_SERVER_USERNAME, DB_SERVER_PASSWORD, DB_DATABASE,DB_SERVER_PORT);
  
  set_time_limit(0);
  
  //check entity
  $entity_query = db_query("select * from app_entities where id='" . (int)$_GET['entity_id']. "'");
  if($entity = db_fetch_array($entity_query))
  {  
    //get groupoed users fields
    $fields_array = array();
    $fields_query = db_query("select * from app_fields where type in ('fieldtype_input_date','fieldtype_input_datetime','fieldtype_dynamic_date') and entities_id='" . $entity['id'] . "'");
    while($fields = db_fetch_array($fields_query))
    {
      $fields_array[] = $fields['id'];
    }
        
    if(count($fields_array)>0)
    {                            
      foreach($fields_array as $filed_id)      
      {        
          $update_query = "ALTER TABLE app_entity_" . $entity['id'] . " CHANGE field_" . $filed_id . " field_" . $filed_id . " BIGINT NOT NULL DEFAULT '0'";
        
        db_query($update_query);
      }                        
    }
    
    db_query("ALTER TABLE app_entity_" . $entity['id'] . " CHANGE date_added date_added BIGINT NOT NULL DEFAULT '0'");
    db_query("ALTER TABLE app_entity_" . $entity['id'] . " CHANGE date_updated date_updated BIGINT NOT NULL DEFAULT '0'");      
  }
  
  
  echo '<div><i class="fa fa-check-circle"></i> OK</div>';
  
  exit();
}

include('includes/template_top.php');


if($lang=='ru')
{
  define('TEXT_UPDATING_DATA','Обновление данных');
  define('TEXT_UPDATING_DATA_WARN','Дождитесь успешного выполнения для каждой сущности');  
}
else
{
  define('TEXT_UPDATING_DATA','Update Data');
  define('TEXT_UPDATING_DATA_WARN','Wait for the successful execution of each entity');  
}


  $ajax_url = ($_SERVER['HTTPS'] == "on" ? "https://" : "http://") . $_SERVER["HTTP_HOST"] . $_SERVER['REQUEST_URI'];
    
  $html = '

<script>
  function update_data_for_entity(entity_id)
  {
    $("#entity_container_"+entity_id).load("' . $ajax_url. '?entity_id="+entity_id);
  }
</script>  
  
  <h3 class="page-title">' . TEXT_UPDATING_DATA . '</h3>
  <div class="alert alert-warning">' . TEXT_UPDATING_DATA_WARN . '</div>
  <table >';
  $enitites_query = db_query("select * from app_entities order by name");
  while($enitites = db_fetch_array($enitites_query))
  {
    $html .= '
      <tr>
        <td style="padding-right: 15px;">' . $enitites['name']. '</td>
        <td>
          <div id="entity_container_' . $enitites['id'] . '"><i class="fa fa-spinner fa-spin"></i></div>
          
          <script>
            update_data_for_entity(' . $enitites['id']  . ')
          </script>
        </td>
      </tr>';
  }
  
  $html .= '</table>';
  
  echo $html;

include('includes/template_bottom.php');